#ifndef _KGR_PATCH_BSC1112544_H
#define _KGR_PATCH_BSC1112544_H

#if IS_ENABLED(CONFIG_XEN_BLKDEV_FRONTEND)

int kgr_patch_bsc1112544_init(void);
void kgr_patch_bsc1112544_cleanup(void);


struct work_struct;

void kgr_blkfront_delay_work(struct work_struct *work);

#define KGR_PATCH_BSC1112544_FUNCS					\
	KGR_PATCH_OBJ(blkfront_delay_work, kgr_blkfront_delay_work,	\
		      "xen_blkfront"),					\

#else /* !IS_ENABLED(CONFIG_XEN_BLKDEV_FRONTEND) */

static inline int kgr_patch_bsc1112544_init(void) { return 0; }

static inline void kgr_patch_bsc1112544_cleanup(void) {}

#define KGR_PATCH_BSC1112544_FUNCS

#endif /* IS_ENABLED(CONFIG_XEN_BLKDEV_FRONTEND) */
#endif /* _KGR_PATCH_BSC1112544_H */
